Browser Requirements

You can access the Tenable.sc user interface using the following browsers:

  • Microsoft Internet Explorer 11 or later

    Tip: Tenable.sc versions 5.22 and later will no longer support Internet Explorer.

  • Microsoft Edge 99 or later
  • Mozilla Firefox 32 or later
  • Google Chrome 37 or later
  • Mac OS Safari 7.1 or later

Note:Tenable recommends using the newest available version of your browser.